Non-desktop mode of operation
-----------------------------

<MethodGen$Dir>.!RunImage -nd [options] filename

-nd   means non-desktop mode

in non-desktop mode, then CLI must read either :-

  -nd -g <filename>    - generate source
  
or

  -nd -p[options] <filename> - generate prototypes
        c - add partial comments
        h - add C header wrappings
        
        